Ionic 3.1 Runtime Error


#1

Upgrade to version 3
Do I need to use the page object?

Error: Uncaught (in promise): Error: Cannot find module '../main/pages/tabs/tabs.module'.
Error: Cannot find module '../main/pages/tabs/tabs.module'.
    at d (http://localhost:8100/build/polyfills.js:3:3991)
    at webpackEmptyContext (http://localhost:8100/build/main.js:76580:8)
    at loadAndCompile (http://localhost:8100/build/main.js:72896:36)
    at NgModuleLoader.load (http://localhost:8100/build/main.js:72861:83)
    at ModuleLoader.load (http://localhost:8100/build/main.js:55262:44)
    at DeepLinker.getNavLinkComponent (http://localhost:8100/build/main.js:20194:39)
    at DeepLinker.getComponentFromName (http://localhost:8100/build/main.js:20177:25)
    at getComponent (http://localhost:8100/build/main.js:29343:23)
    at convertToView (http://localhost:8100/build/main.js:29361:16)
    at convertToViews (http://localhost:8100/build/main.js:29380:32)
    at NavControllerBase._loadLazyLoading (http://localhost:8100/build/main.js:39490:108)
    at http://localhost:8100/build/main.js:39426:46
    at t.invoke (http://localhost:8100/build/polyfills.js:3:11562)
    at Object.onInvoke (http://localhost:8100/build/main.js:4403:37)
    at t.invoke (http://localhost:8100/build/polyfills.js:3:11502)
    at d (http://localhost:8100/build/polyfills.js:3:3991)
    at l (http://localhost:8100/build/polyfills.js:3:3244)
    at Object.reject (http://localhost:8100/build/polyfills.js:3:2600)
    at NavControllerBase._fireError (http://localhost:8100/build/main.js:39400:16)
    at NavControllerBase._failed (http://localhost:8100/build/main.js:39388:14)
    at http://localhost:8100/build/main.js:39443:59
    at t.invoke (http://localhost:8100/build/polyfills.js:3:11562)
    at Object.onInvoke (http://localhost:8100/build/main.js:4403:37)
    at t.invoke (http://localhost:8100/build/polyfills.js:3:11502)
    at n.run (http://localhost:8100/build/polyfills.js:3:6468)
    at http://localhost:8100/build/polyfills.js:3:3767
    at t.invokeTask (http://localhost:8100/build/polyfills.js:3:12256)
    at Object.onInvokeTask (http://localhost:8100/build/main.js:4394:37)
    at t.invokeTask (http://localhost:8100/build/polyfills.js:3:12177)
    at n.runTask (http://localhost:8100/build/polyfills.js:3:7153)

Ionic Framework: 3.1.0
Ionic App Scripts: 1.3.4
Angular Core: 4.0.2
Angular Compiler CLI: 4.0.2
Node: 7.7.4
OS Platform: Windows 7
Navigator Platform: Win32
User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/57.0.2987.133 Safari/537.36


#2

The problem has been solved


#3

Could you share how so someone else can learn from it, too?


#4

Please share how you fixed this!


#5

I don’t know how it happened,I reinstall the plugin,platforms,node_modules


#6

Please be sure to delete node_modules and Use NPM instead of cnpm


#7

Yes the documentation does suggest to remove node_modules and do an “npm install” to get a clean install with dependencies.